Index: /code/branches/cpp11_v2/src/modules/objects/eventsystem/EventFilter.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/eventsystem/EventFilter.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/objects/eventsystem/EventFilter.cc	(revision 10821)
@@ -96,8 +96,8 @@
     {
         unsigned int i = 0;
-        for (std::list<BaseObject*>::const_iterator it = this->sources_.begin(); it != this->sources_.end(); ++it)
+        for (const auto & elem : this->sources_)
         {
             if (i == index)
-                return (*it);
+                return (elem);
             ++i;
         }
@@ -113,8 +113,8 @@
     {
         unsigned int i = 0;
-        for (std::list<EventName*>::const_iterator it = this->names_.begin(); it != this->names_.end(); ++it)
+        for (const auto & elem : this->names_)
         {
             if (i == index)
-                return (*it);
+                return (elem);
             ++i;
         }
Index: /code/branches/cpp11_v2/src/modules/objects/triggers/DistanceMultiTrigger.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 10821)
@@ -160,7 +160,7 @@
                 const std::set<WorldEntity*> attached = entity->getAttachedObjects();
                 bool found = false;
-                for(std::set<WorldEntity*>::const_iterator it = attached.begin(); it != attached.end(); it++)
+                for(const auto & elem : attached)
                 {
-                    if((*it)->isA(ClassIdentifier<DistanceTriggerBeacon>::getIdentifier()) && static_cast<DistanceTriggerBeacon*>(*it)->getName() == this->targetName_)
+                    if((elem)->isA(ClassIdentifier<DistanceTriggerBeacon>::getIdentifier()) && static_cast<DistanceTriggerBeacon*>(elem)->getName() == this->targetName_)
                     {
                         found = true;
Index: /code/branches/cpp11_v2/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/triggers/DistanceTrigger.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/objects/triggers/DistanceTrigger.cc	(revision 10821)
@@ -182,7 +182,7 @@
                 const std::set<WorldEntity*> attached = entity->getAttachedObjects();
                 bool found = false;
-                for(std::set<WorldEntity*>::const_iterator it = attached.begin(); it != attached.end(); it++)
+                for(const auto & elem : attached)
                 {
-                    if((*it)->isA(ClassIdentifier<DistanceTriggerBeacon>::getIdentifier()) && static_cast<DistanceTriggerBeacon*>(*it)->getName() == this->targetName_)
+                    if((elem)->isA(ClassIdentifier<DistanceTriggerBeacon>::getIdentifier()) && static_cast<DistanceTriggerBeacon*>(elem)->getName() == this->targetName_)
                     {
                         found = true;
Index: /code/branches/cpp11_v2/src/modules/objects/triggers/MultiTrigger.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/triggers/MultiTrigger.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/objects/triggers/MultiTrigger.cc	(revision 10821)
@@ -504,7 +504,7 @@
     bool MultiTrigger::checkAnd(BaseObject* triggerer)
     {
-        for(std::set<TriggerBase*>::iterator it = this->children_.begin(); it != this->children_.end(); ++it)
-        {
-            TriggerBase* trigger = *it;
+        for(auto trigger : this->children_)
+        {
+            
             if(trigger->isMultiTrigger())
             {
@@ -531,7 +531,7 @@
     bool MultiTrigger::checkOr(BaseObject* triggerer)
     {
-        for(std::set<TriggerBase*>::iterator it = this->children_.begin(); it != this->children_.end(); ++it)
-        {
-            TriggerBase* trigger = *it;
+        for(auto trigger : this->children_)
+        {
+            
             if(trigger->isMultiTrigger())
             {
@@ -559,7 +559,7 @@
     {
         bool triggered = false;
-        for(std::set<TriggerBase*>::iterator it = this->children_.begin(); it != this->children_.end(); ++it)
-        {
-            TriggerBase* trigger = *it;
+        for(auto trigger : this->children_)
+        {
+            
             if(triggered)
             {
Index: /code/branches/cpp11_v2/src/modules/objects/triggers/Trigger.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/triggers/Trigger.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/objects/triggers/Trigger.cc	(revision 10821)
@@ -234,7 +234,7 @@
     {
         // Iterate over all sub-triggers.
-        for (std::set<TriggerBase*>::iterator it = this->children_.begin(); it != this->children_.end(); ++it)
-        {
-            if (!(*it)->isActive())
+        for (const auto & elem : this->children_)
+        {
+            if (!(elem)->isActive())
                 return false;
         }
@@ -252,7 +252,7 @@
     {
         // Iterate over all sub-triggers.
-        for (std::set<TriggerBase*>::iterator it = this->children_.begin(); it != this->children_.end(); ++it)
-        {
-            if ((*it)->isActive())
+        for (const auto & elem : this->children_)
+        {
+            if ((elem)->isActive())
                 return true;
         }
@@ -270,9 +270,9 @@
     {
         bool test = false;
-        for (std::set<TriggerBase*>::iterator it = this->children_.begin(); it != this->children_.end(); ++it)
-        {
-            if (test && (*it)->isActive())
+        for (const auto & elem : this->children_)
+        {
+            if (test && (elem)->isActive())
                 return false;
-            if ((*it)->isActive())
+            if ((elem)->isActive())
                 test = true;
         }
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/ChatOverlay.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/ChatOverlay.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/ChatOverlay.cc	(revision 10821)
@@ -58,6 +58,6 @@
     ChatOverlay::~ChatOverlay()
     {
-        for (std::set<Timer*>::iterator it = this->timers_.begin(); it != this->timers_.end(); ++it)
-            delete (*it);
+        for (const auto & elem : this->timers_)
+            delete (elem);
     }
 
@@ -92,7 +92,7 @@
         this->text_->setCaption("");
 
-        for (std::list<Ogre::DisplayString>::iterator it = this->messages_.begin(); it != this->messages_.end(); ++it)
+        for (auto & elem : this->messages_)
         {
-            this->text_->setCaption(this->text_->getCaption() + "\n" + (*it));
+            this->text_->setCaption(this->text_->getCaption() + "\n" + (elem));
         }
     }
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc	(revision 10821)
@@ -131,8 +131,8 @@
         }
         this->fontName_ = font;
-        for (std::map<RadarViewable*, ObjectInfo>::iterator it = this->activeObjectList_.begin(); it != this->activeObjectList_.end(); ++it)
-        {
-            if (it->second.text_ != nullptr)
-                it->second.text_->setFontName(this->fontName_);
+        for (auto & elem : this->activeObjectList_)
+        {
+            if (elem.second.text_ != nullptr)
+                elem.second.text_->setFontName(this->fontName_);
         }
     }
@@ -151,8 +151,8 @@
         }
         this->textSize_ = size;
-        for (std::map<RadarViewable*, ObjectInfo>::iterator it = this->activeObjectList_.begin(); it!=this->activeObjectList_.end(); ++it)
-        {
-            if (it->second.text_)
-                it->second.text_->setCharHeight(size);
+        for (auto & elem : this->activeObjectList_)
+        {
+            if (elem.second.text_)
+                elem.second.text_->setCharHeight(size);
         }
     }
@@ -186,6 +186,6 @@
         const Matrix4& camTransform = cam->getOgreCamera()->getProjectionMatrix() * cam->getOgreCamera()->getViewMatrix();
 
-        for (std::list<std::pair<RadarViewable*, unsigned int>>::iterator listIt = this->sortedObjectList_.begin(); listIt != this->sortedObjectList_.end(); ++listIt)
-        listIt->second = (int)((listIt->first->getRVWorldPosition() - HumanController::getLocalControllerSingleton()->getControllableEntity()->getWorldPosition()).length() + 0.5f);
+        for (auto & elem : this->sortedObjectList_)
+        elem.second = (int)((elem.first->getRVWorldPosition() - HumanController::getLocalControllerSingleton()->getControllableEntity()->getWorldPosition()).length() + 0.5f);
 
         this->sortedObjectList_.sort(compareDistance);
@@ -531,16 +531,16 @@
         float yScale = this->getActualSize().y;
 
-        for (std::map<RadarViewable*, ObjectInfo>::iterator it = this->activeObjectList_.begin(); it != this->activeObjectList_.end(); ++it)
-        {
-            if (it->second.health_ != nullptr)
-                it->second.health_->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
-            if (it->second.healthLevel_ != nullptr)
-                it->second.healthLevel_->setDimensions(this->healthLevelMarkerSize_ * xScale, this->healthLevelMarkerSize_ * yScale);
-            if (it->second.panel_ != nullptr)
-                it->second.panel_->setDimensions(this->navMarkerSize_ * xScale, this->navMarkerSize_ * yScale);
-            if (it->second.text_ != nullptr)
-                it->second.text_->setCharHeight(this->textSize_ * yScale);
-            if (it->second.target_ != nullptr)
-                it->second.target_->setDimensions(this->aimMarkerSize_ * xScale, this->aimMarkerSize_ * yScale);
+        for (auto & elem : this->activeObjectList_)
+        {
+            if (elem.second.health_ != nullptr)
+                elem.second.health_->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
+            if (elem.second.healthLevel_ != nullptr)
+                elem.second.healthLevel_->setDimensions(this->healthLevelMarkerSize_ * xScale, this->healthLevelMarkerSize_ * yScale);
+            if (elem.second.panel_ != nullptr)
+                elem.second.panel_->setDimensions(this->navMarkerSize_ * xScale, this->navMarkerSize_ * yScale);
+            if (elem.second.text_ != nullptr)
+                elem.second.text_->setCharHeight(this->textSize_ * yScale);
+            if (elem.second.target_ != nullptr)
+                elem.second.target_->setDimensions(this->aimMarkerSize_ * xScale, this->aimMarkerSize_ * yScale);
         }
     }
@@ -670,8 +670,8 @@
     {
         const std::set<RadarViewable*>& respawnObjects = this->getOwner()->getScene()->getRadar()->getRadarObjects();
-        for (std::set<RadarViewable*>::const_iterator it = respawnObjects.begin(); it != respawnObjects.end(); ++it)
-        {
-            if (!(*it)->isHumanShip_)
-            this->addObject(*it);
+        for (const auto & respawnObject : respawnObjects)
+        {
+            if (!(respawnObject)->isHumanShip_)
+            this->addObject(respawnObject);
         }
     }
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc	(revision 10821)
@@ -92,8 +92,7 @@
             Ogre::OverlayManager::getSingleton().destroyOverlayElement(this->map3DBack_);
 
-            for (std::map<RadarViewable*,Ogre::PanelOverlayElement*>::iterator it = this->radarObjects_.begin();
-                it != this->radarObjects_.end(); ++it)
-            {
-                Ogre::OverlayManager::getSingleton().destroyOverlayElement(it->second);
+            for (auto & elem : this->radarObjects_)
+            {
+                Ogre::OverlayManager::getSingleton().destroyOverlayElement(elem.second);
             }
         }
Index: /code/branches/cpp11_v2/src/modules/overlays/stats/Scoreboard.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/stats/Scoreboard.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/overlays/stats/Scoreboard.cc	(revision 10821)
@@ -60,6 +60,6 @@
         SUPER(Scoreboard, changedVisibility);
 
-        for (unsigned int i = 0; i < this->lines_.size(); ++i)
-            this->lines_[i]->changedVisibility();
+        for (auto & elem : this->lines_)
+            elem->changedVisibility();
     }
 
@@ -94,9 +94,9 @@
 
         unsigned int index = 0;
-        for (std::map<PlayerInfo*, Player>::const_iterator it = playerList.begin(); it != playerList.end(); ++it)
+        for (const auto & elem : playerList)
         {
-            this->lines_[index]->setPlayerName(multi_cast<std::string>(it->first->getName()));
-            this->lines_[index]->setScore(multi_cast<std::string>(it->second.frags_));
-            this->lines_[index]->setDeaths(multi_cast<std::string>(it->second.killed_));
+            this->lines_[index]->setPlayerName(multi_cast<std::string>(elem.first->getName()));
+            this->lines_[index]->setScore(multi_cast<std::string>(elem.second.frags_));
+            this->lines_[index]->setDeaths(multi_cast<std::string>(elem.second.killed_));
             index++;
         }
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupCollection.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupCollection.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupCollection.cc	(revision 10821)
@@ -68,8 +68,8 @@
     {
         // Destroy all Pickupables constructing this PickupCollection.
-        for(std::list<CollectiblePickup*>::iterator it = this->pickups_.begin(); it != this->pickups_.end(); ++it)
-        {
-            (*it)->wasRemovedFromCollection();
-            (*it)->destroy();
+        for(auto & elem : this->pickups_)
+        {
+            (elem)->wasRemovedFromCollection();
+            (elem)->destroy();
         }
         this->pickups_.clear();
@@ -99,6 +99,6 @@
         this->processingUsed_ = true;
         // Change used for all Pickupables this PickupCollection consists of.
-        for(std::list<CollectiblePickup*>::iterator it = this->pickups_.begin(); it != this->pickups_.end(); ++it)
-            (*it)->setUsed(this->isUsed());
+        for(auto & elem : this->pickups_)
+            (elem)->setUsed(this->isUsed());
 
         this->processingUsed_ = false;
@@ -119,9 +119,9 @@
         size_t numPickupsEnabled = 0;
         size_t numPickupsInUse = 0;
-        for(std::list<CollectiblePickup*>::iterator it = this->pickups_.begin(); it != this->pickups_.end(); ++it)
-        {
-            if ((*it)->isEnabled())
+        for(auto & elem : this->pickups_)
+        {
+            if ((elem)->isEnabled())
                 ++numPickupsEnabled;
-            if ((*it)->isUsed())
+            if ((elem)->isUsed())
                 ++numPickupsInUse;
         }
@@ -146,10 +146,10 @@
 
         // Change the PickupCarrier for all Pickupables this PickupCollection consists of.
-        for(std::list<CollectiblePickup*>::iterator it = this->pickups_.begin(); it != this->pickups_.end(); ++it)
+        for(auto & elem : this->pickups_)
         {
             if(this->getCarrier() == nullptr)
-                (*it)->setCarrier(nullptr);
+                (elem)->setCarrier(nullptr);
             else
-                (*it)->setCarrier(this->getCarrier()->getTarget(*it));
+                (elem)->setCarrier(this->getCarrier()->getTarget(elem));
         }
     }
@@ -186,7 +186,7 @@
         // If at least all the enabled pickups of this PickupCollection are no longer picked up.
         bool isOnePickupEnabledAndPickedUp = false;
-        for(std::list<CollectiblePickup*>::iterator it = this->pickups_.begin(); it != this->pickups_.end(); ++it)
-        {
-            if ((*it)->isEnabled() && (*it)->isPickedUp())
+        for(auto & elem : this->pickups_)
+        {
+            if ((elem)->isEnabled() && (elem)->isPickedUp())
             {
                 isOnePickupEnabledAndPickedUp = true;
@@ -208,7 +208,7 @@
     bool PickupCollection::isTarget(const PickupCarrier* carrier) const
     {
-        for(std::list<CollectiblePickup*>::const_iterator it = this->pickups_.begin(); it != this->pickups_.end(); ++it)
-        {
-            if(!carrier->isTarget(*it))
+        for(const auto & elem : this->pickups_)
+        {
+            if(!carrier->isTarget(elem))
                 return false;
         }
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupManager.cc	(revision 10821)
@@ -91,6 +91,6 @@
 
         // Destroying all the PickupInventoryContainers that are still there.
-        for(std::map<uint32_t, PickupInventoryContainer*>::iterator it = this->pickupInventoryContainers_.begin(); it != this->pickupInventoryContainers_.end(); it++)
-            delete it->second;
+        for(auto & elem : this->pickupInventoryContainers_)
+            delete elem.second;
         this->pickupInventoryContainers_.clear();
 
Index: /code/branches/cpp11_v2/src/modules/pickup/items/MetaPickup.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/items/MetaPickup.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/pickup/items/MetaPickup.cc	(revision 10821)
@@ -118,7 +118,7 @@
                 std::set<Pickupable*> pickups = carrier->getPickups();
                 // Iterate over all Pickupables of the PickupCarrier.
-                for(std::set<Pickupable*>::iterator it = pickups.begin(); it != pickups.end(); it++)
+                for(auto pickup : pickups)
                 {
-                    Pickupable* pickup = (*it);
+                    
                     if(pickup == nullptr || pickup == this)
                         continue;
Index: /code/branches/cpp11_v2/src/modules/pong/Pong.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/Pong.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/pong/Pong.cc	(revision 10821)
@@ -145,10 +145,10 @@
 
             // If one of the bats is missing, create it. Apply the template for the bats as specified in the centerpoint.
-            for (size_t i = 0; i < 2; ++i)
+            for (auto & elem : this->bat_)
             {
-                if (this->bat_[i] == nullptr)
+                if (elem == nullptr)
                 {
-                    this->bat_[i] = new PongBat(this->center_->getContext());
-                    this->bat_[i]->addTemplate(this->center_->getBattemplate());
+                    elem = new PongBat(this->center_->getContext());
+                    elem->addTemplate(this->center_->getBattemplate());
                 }
             }
@@ -211,11 +211,11 @@
     {
         // first spawn human players to assign always the left bat to the player in singleplayer
-        for (std::map<PlayerInfo*, Player>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
-            if (it->first->isHumanPlayer() && (it->first->isReadyToSpawn() || this->bForceSpawn_))
-                this->spawnPlayer(it->first);
+        for (auto & elem : this->players_)
+            if (elem.first->isHumanPlayer() && (elem.first->isReadyToSpawn() || this->bForceSpawn_))
+                this->spawnPlayer(elem.first);
         // now spawn bots
-        for (std::map<PlayerInfo*, Player>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
-            if (!it->first->isHumanPlayer() && (it->first->isReadyToSpawn() || this->bForceSpawn_))
-                this->spawnPlayer(it->first);
+        for (auto & elem : this->players_)
+            if (!elem.first->isHumanPlayer() && (elem.first->isReadyToSpawn() || this->bForceSpawn_))
+                this->spawnPlayer(elem.first);
     }
 
Index: /code/branches/cpp11_v2/src/modules/pong/PongAI.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/PongAI.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/pong/PongAI.cc	(revision 10821)
@@ -77,6 +77,6 @@
     PongAI::~PongAI()
     {
-        for (std::list<std::pair<Timer*, char>>::iterator it = this->reactionTimers_.begin(); it != this->reactionTimers_.end(); ++it)
-            it->first->destroy();
+        for (auto & elem : this->reactionTimers_)
+            elem.first->destroy();
     }
 
Index: /code/branches/cpp11_v2/src/modules/questsystem/GlobalQuest.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/GlobalQuest.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/questsystem/GlobalQuest.cc	(revision 10821)
@@ -94,6 +94,6 @@
 
         // Iterate through all players possessing this Quest.
-        for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
-            QuestEffect::invokeEffects(*it, this->getFailEffectList());
+        for(const auto & elem : players_)
+            QuestEffect::invokeEffects(elem, this->getFailEffectList());
 
         return true;
@@ -119,6 +119,6 @@
 
         // Iterate through all players possessing the Quest.
-        for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
-            QuestEffect::invokeEffects(*it, this->getCompleteEffectList());
+        for(const auto & elem : players_)
+            QuestEffect::invokeEffects(elem, this->getCompleteEffectList());
 
         Quest::complete(player);
@@ -242,8 +242,8 @@
     {
         int i = index;
-        for (std::list<QuestEffect*>::const_iterator effect = this->rewards_.begin(); effect != this->rewards_.end(); ++effect)
+        for (const auto & elem : this->rewards_)
         {
             if(i == 0)
-               return *effect;
+               return elem;
 
             i--;
Index: /code/branches/cpp11_v2/src/modules/questsystem/Quest.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/Quest.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/questsystem/Quest.cc	(revision 10821)
@@ -190,8 +190,8 @@
 
         // Iterate through all subquests.
-        for (std::list<Quest*>::const_iterator subQuest = this->subQuests_.begin(); subQuest != this->subQuests_.end(); ++subQuest)
+        for (const auto & elem : this->subQuests_)
         {
             if(i == 0) // We're counting down...
-               return *subQuest;
+               return elem;
 
             i--;
@@ -214,8 +214,8 @@
 
         // Iterate through all QuestHints.
-        for (std::list<QuestHint*>::const_iterator hint = this->hints_.begin(); hint != this->hints_.end(); ++hint)
+        for (const auto & elem : this->hints_)
         {
             if(i == 0) // We're counting down...
-               return *hint;
+               return elem;
 
             i--;
@@ -237,8 +237,8 @@
 
         // Iterate through all fail QuestEffects.
-        for (std::list<QuestEffect*>::const_iterator effect = this->failEffects_.begin(); effect != this->failEffects_.end(); ++effect)
+        for (const auto & elem : this->failEffects_)
         {
             if(i == 0) // We're counting down...
-               return *effect;
+               return elem;
 
             i--;
@@ -260,8 +260,8 @@
 
         // Iterate through all complete QuestEffects.
-        for (std::list<QuestEffect*>::const_iterator effect = this->completeEffects_.begin(); effect != this->completeEffects_.end(); ++effect)
+        for (const auto & elem : this->completeEffects_)
         {
             if(i == 0) // We're counting down...
-               return *effect;
+               return elem;
 
             i--;
Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestEffect.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestEffect.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestEffect.cc	(revision 10821)
@@ -74,6 +74,6 @@
         orxout(verbose, context::quests) << "Invoking QuestEffects on player: " << player << " ."  << endl;
 
-        for (std::list<QuestEffect*>::iterator effect = effects.begin(); effect != effects.end(); effect++)
-            temp = temp && (*effect)->invoke(player);
+        for (auto & effects_effect : effects)
+            temp = temp && (effects_effect)->invoke(player);
 
         return temp;
Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestEffectBeacon.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestEffectBeacon.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestEffectBeacon.cc	(revision 10821)
@@ -236,8 +236,8 @@
     {
         int i = index;
-        for (std::list<QuestEffect*>::const_iterator effect = this->effects_.begin(); effect != this->effects_.end(); ++effect)
+        for (const auto & elem : this->effects_)
         {
             if(i == 0)
-               return *effect;
+               return elem;
 
             i--;
Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestListener.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestListener.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestListener.cc	(revision 10821)
@@ -97,7 +97,7 @@
     /* static */ void QuestListener::advertiseStatusChange(std::list<QuestListener*> & listeners, const std::string & status)
     {
-        for (std::list<QuestListener*>::iterator it = listeners.begin(); it != listeners.end(); ++it) // Iterate through all QuestListeners
-        {
-            QuestListener* listener = *it;
+        for (auto listener : listeners) // Iterate through all QuestListeners
+        {
+            
             if(listener->getMode() == status || listener->getMode() == QuestListener::ALL) // Check whether the status change affects the give QuestListener.
                 listener->execute();
Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestManager.cc	(revision 10821)
@@ -235,7 +235,7 @@
     {
         int numQuests = 0;
-        for(std::map<std::string, Quest*>::iterator it = this->questMap_.begin(); it != this->questMap_.end(); it++)
-        {
-            if(it->second->getParentQuest() == nullptr && !it->second->isInactive(player))
+        for(auto & elem : this->questMap_)
+        {
+            if(elem.second->getParentQuest() == nullptr && !elem.second->isInactive(player))
                 numQuests++;
         }
@@ -255,8 +255,8 @@
     Quest* QuestManager::getRootQuest(PlayerInfo* player, int index)
     {
-        for(std::map<std::string, Quest*>::iterator it = this->questMap_.begin(); it != this->questMap_.end(); it++)
-        {
-            if(it->second->getParentQuest() == nullptr && !it->second->isInactive(player) && index-- == 0)
-                return it->second;
+        for(auto & elem : this->questMap_)
+        {
+            if(elem.second->getParentQuest() == nullptr && !elem.second->isInactive(player) && index-- == 0)
+                return elem.second;
         }
         return nullptr;
@@ -280,7 +280,7 @@
         std::list<Quest*> quests = quest->getSubQuestList();
         int numQuests = 0;
-        for(std::list<Quest*>::iterator it = quests.begin(); it != quests.end(); it++)
-        {
-            if(!(*it)->isInactive(player))
+        for(auto & quest : quests)
+        {
+            if(!(quest)->isInactive(player))
                 numQuests++;
         }
@@ -304,8 +304,8 @@
 
         std::list<Quest*> quests = quest->getSubQuestList();
-        for(std::list<Quest*>::iterator it = quests.begin(); it != quests.end(); it++)
-        {
-            if(!(*it)->isInactive(player) && index-- == 0)
-                return *it;
+        for(auto & quest : quests)
+        {
+            if(!(quest)->isInactive(player) && index-- == 0)
+                return quest;
         }
         return nullptr;
@@ -326,7 +326,7 @@
         std::list<QuestHint*> hints = quest->getHintsList();
         int numHints = 0;
-        for(std::list<QuestHint*>::iterator it = hints.begin(); it != hints.end(); it++)
-        {
-            if((*it)->isActive(player))
+        for(auto & hint : hints)
+        {
+            if((hint)->isActive(player))
                 numHints++;
         }
@@ -349,8 +349,8 @@
     {
         std::list<QuestHint*> hints = quest->getHintsList();
-        for(std::list<QuestHint*>::iterator it = hints.begin(); it != hints.end(); it++)
-        {
-            if((*it)->isActive(player) && index-- == 0)
-                return *it;
+        for(auto & hint : hints)
+        {
+            if((hint)->isActive(player) && index-- == 0)
+                return hint;
         }
         return nullptr;
Index: /code/branches/cpp11_v2/src/modules/questsystem/effects/AddReward.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/effects/AddReward.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/questsystem/effects/AddReward.cc	(revision 10821)
@@ -84,8 +84,8 @@
     {
         int i = index;
-        for (std::list<Rewardable*>::const_iterator reward = this->rewards_.begin(); reward != this->rewards_.end(); ++reward)
+        for (const auto & elem : this->rewards_)
         {
             if(i == 0)
-               return *reward;
+               return elem;
             i--;
         }
@@ -106,6 +106,6 @@
 
         bool temp = true;
-        for ( std::list<Rewardable*>::iterator reward = this->rewards_.begin(); reward != this->rewards_.end(); ++reward )
-            temp = temp && (*reward)->reward(player);
+        for (auto & elem : this->rewards_)
+            temp = temp && (elem)->reward(player);
 
         orxout(verbose, context::quests) << "Rewardable successfully added to player." << player << " ." << endl;
